IntegrationsShopify
Get one product variant with price, SKU, barcode, options and inventory data.
Get one product variant with price, SKU, barcode, options and inventory data.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/product-variants/get" \ -H "Content-Type: application/json" \ -d '{ "variant_id": "example" }'{ "id": "example", "product_id": "example", "title": "Approve supplier payment", "display_name": "example", "sku": "example", "barcode": "example", "price": "example", "compare_at_price": "example", "position": 0, "inventory_quantity": 0, "inventory_item_id": "example", "inventory_policy": "example", "taxable": false, "available_for_sale": false, "selected_options": [], "image_url": "example", "created_at": "example", "updated_at": "example"}